Carts
Carts List
Retrieve a list of all open carts.
Authorization
oauth2 carts:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: carts:read
Query Parameters
product?array<>
date_created_from?string
YYYY-MM-DD
Format
datedate_created_to?string
YYYY-MM-DD
Format
dateabandoned?boolean
currency?string
Currency
funnels?array<|>
Funnels
utm_source?string
UTM Source
utm_campaign?string
UTM Campaign
utm_term?string
UTM Term
utm_content?string
UTM Content
affiliate?string
Affiliate
subaffiliate1?string
Sub-Affiliate 1
subaffiliate2?string
Sub-Affiliate 2
subaffiliate3?string
Sub-Affiliate 3
subaffiliate4?string
Sub-Affiliate 4
subaffiliate5?string
Sub-Affiliate 5
cursor?string
The pagination cursor value.
Header Parameters
X-29next-API-Version*string
Default
"2023-02-10"Value in
"2023-02-10"Response Body
application/json
curl -X GET "https://example.29next.store/api/admin/carts/" \ -H "X-29next-API-Version: 2023-02-10"{
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
"results": [
{
"abandoned": true,
"attribution": {
"affiliate": "string",
"agent": {
"email": "[email protected]",
"first_name": "string",
"id": 0,
"last_name": "string"
},
"funnel": "string",
"gclid": "string",
"metadata": null,
"subaffiliate1": "string",
"subaffiliate2": "string",
"subaffiliate3": "string",
"subaffiliate4": "string",
"subaffiliate5": "string",
"utm_campaign": "string",
"utm_content": "string",
"utm_medium": "string",
"utm_source": "string",
"utm_term": "string"
},
"checkout_url": "http://example.com",
"currency": "string",
"date_created": "2019-08-24T14:15:22Z",
"id": 0,
"lines": [
{
"attributes": [
{
"option": "string",
"value": null
}
],
"id": 0,
"is_upsell": false,
"metadata": {},
"price_currency": "string",
"product": {
"categories": [
{
"id": 0,
"name": "string",
"slug": "string"
}
],
"id": 0,
"images": [
{
"attachment": "string",
"caption": "string",
"display_order": 2147483647,
"file_name": "string",
"id": 0,
"src": "http://example.com"
}
],
"title": "string",
"upc": "string",
"url": "http://example.com"
},
"quantity": 2147483647,
"stockrecord": {
"id": 0,
"low_stock_threshold": 2147483647,
"num_allocated": -2147483648,
"num_in_stock": -2147483648,
"partner_sku": "string",
"price": "string",
"price_currency": "string",
"price_retail": "string"
}
}
],
"metadata": {},
"status": "string",
"user": {
"accepts_marketing": true,
"email": "[email protected]",
"first_name": "string",
"id": 0,
"ip": "string",
"language": "string",
"last_name": "string",
"phone_number": "string",
"user_agent": "string"
}
}
]
}